<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Contracts;

interface ResolverInterface
{
    public function resolve(DefinitionInterface $definition, ContainerInterface $container): mixed;
    public function buildClass(string $className, ContainerInterface $container): object;
}
